> ## Documentation Index
> Fetch the complete documentation index at: https://docs.palico.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# New Conversation

> Start a new conversation with an agent.



## OpenAPI

````yaml post /agent/{agentName}/conversation
openapi: 3.0.0
info:
  version: 1.0.0
  title: palico-app/api
  description: API Endpoint for your Palico App
servers: []
security:
  - bearerAuth: []
paths:
  /agent/{agentName}/conversation:
    post:
      tags:
        - Agent
      parameters:
        - name: agentName
          in: path
          required: true
          schema:
            type: string
          description: This refers to the folder name of your agent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentAPIRequestBody'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentResponse'
components:
  schemas:
    AgentAPIRequestBody:
      type: object
      properties:
        appConfig:
          type: object
          description: App Config value to use for executing your Agent
        content:
          $ref: '#/components/schemas/AgentRequestContent'
    AgentResponse:
      type: object
      properties:
        conversationId:
          type: string
        requestId:
          type: string
        message:
          type: string
          description: String-based message sent from the Agent
        data:
          type: object
          description: Additional data sent from the Agent
        toolCalls:
          type: array
          description: The tools that needs to be executed from the client-side
          items:
            $ref: '#/components/schemas/ToolCall'
      required:
        - conversationId
        - requestId
    AgentRequestContent:
      type: object
      properties:
        userMessage:
          type: string
          description: >-
            For chat-based agents, this is the user message sent from the
            client.
        payload:
          type: object
          description: Additional data to pass to your pass
        toolCallResults:
          type: array
          items:
            $ref: '#/components/schemas/ToolCallResult'
    ToolCall:
      type: object
      properties:
        id:
          type: string
          description: Unique ID associated with the call request
        name:
          type: string
          description: Name of the tool to call
        parameters:
          type: object
          description: Input Params to tool
    ToolCallResult:
      type: object
      properties:
        id:
          type: string
          description: ID associated with the tool-call
        result:
          type: object
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````